--TEST--
test Wrt3g_HtmlParser::status_noauth() when we have a good connection
--FILE--
<?php
chdir(dirname(__FILE__));
require_once dirname(__FILE__) . '/../Wrt3g/HtmlParser.php';
$p = new Wrt3g_HtmlParser();
var_dump(
    $p->status_noauth(
        file_get_contents('status_noauth-connected.htm')
    )
);
--EXPECT--
array(9) {
  ["type"]=>
  string(4) "UMTS"
  ["network"]=>
  string(7) "BASE DE"
  ["signal strength"]=>
  string(9) "excellent"
  ["connection time"]=>
  string(10) "8h 21m 58s"
  ["session usage"]=>
  array(2) {
    ["received"]=>
    string(11) "2.72 Mbytes"
    ["sent"]=>
    string(11) "0.86 Mbytes"
  }
  ["card model"]=>
  string(29) "GlobeTrotter Fusion Quad Lite"
  ["card revision"]=>
  string(3) "4.1"
  ["card firmware"]=>
  string(42) "1.5.5  (Date: May 17 2005, Time: 14:55:44)"
  ["IMSI"]=>
  string(15) "262032010984707"
}